Package org.postgresql.gss

# Class MakeGSS

java.lang.Object
org.postgresql.gss.MakeGSS

public class MakeGSS extends Object

## Constructor Summary

Constructors
Constructor
Description
`MakeGSS()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`authenticate(boolean encrypted, PGStream pgStream, String host, String user, char @Nullable [] password, @Nullable String jaasApplicationName, @Nullable String kerberosServerName, boolean useSpnego, boolean jaasLogin, boolean logServerErrorDetail)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MakeGSS

public MakeGSS()

## Method Details

### authenticate

public static void authenticate(boolean encrypted, PGStream pgStream, String host, String user, char @Nullable [] password, @Nullable String jaasApplicationName, @Nullable String kerberosServerName, boolean useSpnego, boolean jaasLogin, boolean logServerErrorDetail) throws IOException, PSQLException

Throws:
  `IOException`
  `PSQLException`